Subject: RE: IPv6 mib question (ipv6RouteEntry)

From: Dimitry Haskin <[email-masked]>
Date: Fri, 7 Jan 2000 13:53:02 -0500

Dan is correct -- ipv6RouteIndex is provided to disambiguate the mib records
with the same values in the ipv6RouteDest and ipv6RoutePfxLength attributes.

Let me note that just adding the ipv6RouteIfIndex to the INDEX definition
may not be sufficient in some cases; e.g. consider routes with the same
outgoing interface but different next hops.  The way ipv6RouteIndex value is
chosen is implementation specific as long as it is unique for
ipv6RouteDest/ipv6RoutePfxLength pair, i.e. you can't have two records with
same ipv6RouteDest, ipv6RoutePfxLength, and ipv6RouteIndex in
ipv6RouteTable.

If you wish you can have ipv6RouteIndex equal to ipv6RouteIfIndex as long as
there is a guarantee that you wouldn't get more than a single route to the
same network pointing to the same outgoing interface.

----------------------------------------------------------------------
Dimitry Haskin
Lucent Technologies Internetworking Systems

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, January 07, 2000 12:47 PM
> To: Dan Joyal
> Cc: [email-masked]
> Subject: Re: IPv6 mib question (ipv6RouteEntry)
> 
> 
> > Doesn't the INDEX component ipv6RouteIndex disambiguate the entries?
> 
> 	I believe ipv6RouteIndex and ipv6RouteIfIndex are 
> different thing.
> 	From what I understand from the following part,
> 	- ipv6RouteIndex is for identifying equal-cost multi 
> path routes and
> 	- ipv6RouteIfIndex identifies interface.
> 
> 	I do not think ipv6RouteIndex includes meaning of 
> ipv6RouteIfIndex
> 	Why do we have to have two similar values separately?
> 
> 	"Same network layer destination" below is a bit tricky wording.
> 	In scoped address world, I tend to believe"fe80::1 on 
> interface 1"
> 	and "fe80::1 on interface 2" are different destination 
> for network
> 	layer.  Some may object it though...
> 
> itojun
> 
> 
> ---
>          ipv6RouteIndex OBJECT-TYPE
>              SYNTAX     Unsigned32
>              MAX-ACCESS not-accessible
>              STATUS     current
>              DESCRIPTION
>                "The value which uniquely identifies the route
>                among the routes to the same network layer
>                destination.  The way this value is chosen is
>                implementation specific but it must be unique for
>                ipv6RouteDest/ipv6RoutePfxLength pair and remain
>                constant for the life of the route."
>              ::= { ipv6RouteEntry 3 }
> 
>          ipv6RouteIfIndex OBJECT-TYPE
>              SYNTAX     Ipv6IfIndexOrZero
>              MAX-ACCESS read-only
>              STATUS     current
>              DESCRIPTION
>                "The index value which uniquely identifies the local
>                interface through which the next hop of this
>                route should be reached.  The interface identified
>                by a particular value of this index is the same
>                interface as identified by the same value of
>                ipv6IfIndex.  For routes of the discard type this
>                value can be zero."
>              ::= { ipv6RouteEntry 4 }
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------